<?php

/**
 * @package         Convert Forms
 * @version         3.1.3 Free
 * 
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2020 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace ConvertForms\SmartTags;

defined('_JEXEC') or die('Restricted access');

use NRFramework\SmartTags\SmartTag;

class All_fields_filled extends SmartTag
{
	/**
	 * Get All Fields Filled value
	 * 
	 * @return  string
	 */
	public function getAll_fields_filled()
	{
		$submission = isset($this->data['submission']) ? $this->data['submission'] : '';

		if (!$submission)
		{
			return '';
		}

		$all_fields_filled = '';

		foreach ($submission->prepared_fields as $field)
		{
			$all_fields_item = '<div><strong>' . $field->class->getLabel() . '</strong>: ' . $field->value_html . '</div>';
			$all_fields_filled .= $field->value_html ? $all_fields_item : '';
		}

		return $all_fields_filled;
	}
}